Chess Now! IconChess Now
API ReferenceMe

Update your account info

PUT
/api/me

Updates the profile information of your account.

Header Parameters

cookie?string
authorization?string
Match^Bearer .*

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/me" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "data": {    "id": "123e4567-e89b-12d3-a456-426614174000",    "name": "John Doe",    "username": "johndoe",    "createdAt": "2024-01-01T12:00:00Z",    "updatedAt": "2024-01-01T12:00:00Z",    "botOwnerId": null,    "rating": 1200,    "rd": 350,    "vol": 0.06  }}